﻿using System;
using HeuristicLab.CommandLineInterface.Core;

namespace HeuristicLab.CommandLineInterface {

  /// <summary>
  /// Attribute to specify a command. The class still needs to implement the ICommand interface.
  /// </summary>
  [AttributeUsage(AttributeTargets.Class)]
  public class CommandAttribute : CLIBaseAttribute {
    /// <summary>
    /// To identify the command. This is the string, the user has to enter to activate this command.
    /// If not set, the classname without 'Command' will be used. For example: DummyCommand -> Dummy
    /// </summary>
    public string Identifier { get; set; } = "";
    /// <summary>
    /// To specify child commands. For example: myApp myCommand childCommand ...
    /// </summary>
    public Type[] SubCommands { get; set; } = new Type[0];
  }
}
