﻿
using System.Collections.Generic;

namespace HeuristicLab.CommandLineInterface {
  /// <summary>
  /// Interface for a command. Every command has to implements this interface.
  /// </summary>
  public interface ICommand {
    /// <summary>
    /// This method gets executed after the parsing. The execution order for multiple commands is top-down. 
    /// In other words, left to right from the console view.
    /// </summary>
    /// <param name="dict"></param>
    /// <param name="errors"></param>
    void Execute();
  }
}
